Name:		python-fuse
Version:	1.0.8
Release:	%mkrel 1
Group:		Development/Python
License:	LGPL-2.1
Summary:	Python 2.x/3.x bindings for libfuse 2.x
URL:		https://github.com/libfuse/python-fuse
Source0:	https://github.com/libfuse/python-fuse/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(fuse)
Requires:	fuse

%description
Python 2.x/3.x binding for Fuse 2.x (Filesystem in Userspace).

%package -n	python3-fuse
Summary:	Python 3 bindings for libfuse 2
Group:		Development/Python
%{?python_provide:%python_provide python3-fuse}

%description -n	python3-fuse
Python3 binding for Fuse 2.x (Filesystem in Userspace).

This is the Python 3 version of the package.

%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fuse fuseparts

%files -n python3-fuse -f %{pyproject_files}
%doc AUTHORS README.md README.new_fusepy_api.rst FAQ
%license COPYING


%changelog
* Sun Jun 30 2024 papoteur <papoteur> 1.0.8-1.mga10
+ Revision: 2078127
- new version 1.0.8

* Tue Dec 26 2023 papoteur <papoteur> 1.0.7-1.mga10
+ Revision: 2021577
- new version 1.0.7

* Sun Oct 22 2023 daviddavid <daviddavid> 1.0.5-1.mga10
+ Revision: 2000106
- new version: 1.0.5 (new project ported to python3)
- restore python-fuse now ported to python3 as a new project

* Fri Feb 14 2020 umeabot <umeabot> 2.5-17.mga8
+ Revision: 1516201
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5-16.mga7
+ Revision: 1300480
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 daviddavid <daviddavid> 2.5-15.mga6
+ Revision: 931505
- use new python macros

* Tue Feb 02 2016 umeabot <umeabot> 2.5-14.mga6
+ Revision: 931123
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5-13.mga5
+ Revision: 742203
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.5-12.mga5
+ Revision: 728534
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.5-11.mga5
+ Revision: 688040
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.5-9.mga4
+ Revision: 543467
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.5-8.mga4
+ Revision: 498641
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.5-7.mga3
+ Revision: 378865
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 kamil <kamil> 2.5-6.mga3
+ Revision: 334966
- adapt .spec for Mageia
- imported package python-fuse


* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.5-5mdv2010.0
+ Revision: 442114
- rebuild

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 2.5-4mdv2009.1
+ Revision: 320160
- rebuild for new python

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 2.5-3mdv2009.0
+ Revision: 242410
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.5-1mdv2008.0
+ Revision: 55847
- update to new version 2.5

* Wed May 09 2007 Nicolas Vigier <nvigier@mandriva.com> 0.20070509-1mdv2008.0
+ Revision: 25760
- Import python-fuse

